From 548e7c803b2c6ae88525a99b3a9e4149577d62d0 Mon Sep 17 00:00:00 2001
From: Stanislav Brabec <sbrabec@suse.com>
Date: Fri, 24 Jul 2015 21:29:04 +0200
Subject: [PATCH 12/12] Introduce --with-external-lib*

Introduce --with-external-lib* configure options, which make possible to
build exactly the same set of utilities like --enable-lib*, but link
these utilities with an external instance of util-linux library.

Signed-off-by: Stanislav Brabec <sbrabec@suse.com>
---
 configure.ac | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

Index: util-linux-2.26.2/configure.ac
===================================================================
--- util-linux-2.26.2.orig/configure.ac
+++ util-linux-2.26.2/configure.ac
@@ -808,6 +808,11 @@ AC_ARG_ENABLE([libuuid],
   [], [UL_DEFAULT_ENABLE([libuuid], [yes])]
 )
 UL_BUILD_INIT([libuuid])
+AC_ARG_WITH([external-libuuid], [
+  AS_HELP_STRING([--with-external-libuuid], [use external libuuid])], [
+    AS_VAR_SET([build_libuuid], [yes])
+    AS_VAR_SET([ext_libuuid], [yes])
+])
 AC_SUBST([LIBUUID_VERSION])
 AC_SUBST([LIBUUID_VERSION_INFO])
 AM_CONDITIONAL([HAVE_LIBUUID], [test "x$build_libuuid" = xyes])
@@ -825,6 +830,11 @@ AC_ARG_ENABLE([libblkid],
   [], [UL_DEFAULT_ENABLE([libblkid], [yes])]
 )
 UL_BUILD_INIT([libblkid])
+AC_ARG_WITH([external-libblkid], [
+  AS_HELP_STRING([--with-external-libblkid], [use external libblkid])], [
+    AS_VAR_SET([build_libblkid], [yes])
+    AS_VAR_SET([ext_libblkid], [yes])
+])
 AC_SUBST([LIBBLKID_DATE])
 AC_SUBST([LIBBLKID_VERSION])
 AC_SUBST([LIBBLKID_VERSION_INFO])
@@ -845,6 +855,11 @@ AC_ARG_ENABLE([libmount],
   [], [UL_DEFAULT_ENABLE([libmount], [check])]
 )
 UL_BUILD_INIT([libmount])
+AC_ARG_WITH([external-libmount], [
+  AS_HELP_STRING([--with-external-libmount], [use external libmount])], [
+    AS_VAR_SET([build_libmount], [yes])
+    AS_VAR_SET([ext_libmount], [yes])
+])
 UL_REQUIRES_BUILD([libmount], [libblkid])
 UL_REQUIRES_HAVE([libmount], [scanf_alloc_modifier], [scanf string alloc modifier])
 AM_CONDITIONAL([HAVE_LIBMOUNT], [test "x$build_libmount" = xyes])
@@ -876,6 +891,11 @@ AC_ARG_ENABLE([libsmartcols],
   [], [UL_DEFAULT_ENABLE([libsmartcols], [yes])]
 )
 UL_BUILD_INIT([libsmartcols])
+AC_ARG_WITH([external-libsmartcols], [
+  AS_HELP_STRING([--with-external-libsmartcols], [use external libsmartcols])], [
+    AS_VAR_SET([build_libsmartcols], [yes])
+    AS_VAR_SET([ext_libsmartcols], [yes])
+])
 AM_CONDITIONAL([HAVE_LIBSMARTCOLS], [test "x$build_libsmartcols" = xyes])
 AM_CONDITIONAL([BUILD_LIBSMARTCOLS], [test "x$build_libsmartcols" = xyes -a "x$ext_libsmartcols" != xyes])
 AM_CONDITIONAL([BUILD_LIBSMARTCOLS_TESTS], [test "x$build_libsmartcols" = xyes -a "x$enable_static" = xyes])
@@ -893,6 +913,11 @@ AC_ARG_ENABLE([libfdisk],
   [], [UL_DEFAULT_ENABLE([libfdisk], [check])]
 )
 UL_BUILD_INIT([libfdisk])
+AC_ARG_WITH([external-libfdisk], [
+  AS_HELP_STRING([--with-external-libfdisk], [use external libfdisk])], [
+    AS_VAR_SET([build_libfdisk], [yes])
+    AS_VAR_SET([ext_libfdisk], [yes])
+])
 UL_REQUIRES_BUILD([libfdisk], [libuuid])
 AM_CONDITIONAL([HAVE_LIBFDISK], [test "x$build_libfdisk" = xyes])
 AM_CONDITIONAL([BUILD_LIBFDISK], [test "x$build_libfdisk" = xyes -a "x$ext_libfdisk" != xyes])
